package org.jeecg.modules.apiService;

import org.jeecg.common.api.vo.Result;
import org.jeecg.modules.apiBean.PageBean;
import org.jeecg.modules.employBillInfo.entity.EmployBillInfo;
import org.jeecg.modules.employFeedback.entity.EmployFeedback;
import org.jeecg.modules.employNotebook.entity.EmployNotebook;
import org.jeecg.modules.employWorkInfo.entity.EmployWorkInfo;

public interface NotebookService {

    //个人记工-新建账本
    public Result<?> addNoteBook(String token, EmployNotebook employNotebook);

    //个人记工-新建账本
    public Result<?> updateNoteBook(String token, EmployNotebook employNotebook);

    //个人记工-全年收支
    public Result<?> queryBill(String token, String employNoteBookId, PageBean pageBean);

    //个人记工-全年收支金额
    public Result<?> queryBillAmount(String token, String employNoteBookId);

    //个人记工-技工问题
    public Result<?> addQuestion(String toke, EmployFeedback employFeedback);

    //个人记工-在建项目/结束项目
    public Result<?> queryNotebookList(String token, String type, String status, PageBean pageBean);

    //个人记工-项目记账
    public Result<?> addBillInfo(String token, EmployBillInfo employBillInfo);

    //个人记工-项目记工
    public Result<?> addWorkInfo(String token, EmployWorkInfo employWorkInfo);

    //记工记账-项目记工记录
    public Result<?> queryWork(String token, EmployWorkInfo workInfo, PageBean pageBean);

}
